Package org.apache.calcite.avatica.proto

## Class Requests.SchemasRequest

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessageV3
      - - org.apache.calcite.avatica.proto.Requests.SchemasRequest

All Implemented Interfaces:
  `com.google.protobuf.Message`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `java.io.Serializable`, `Requests.SchemasRequestOrBuilder`

Enclosing class:
  Requests

    public static final class Requests.SchemasRequest
    extends com.google.protobuf.GeneratedMessageV3
    implements Requests.SchemasRequestOrBuilder

     Request for Meta#getSchemas(String, org.apache.calcite.avatica.Meta.Pat)}

Protobuf type `SchemasRequest`

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `Requests.SchemasRequest.Builder` Request for Meta#getSchemas(String, org.apache.calcite.avatica.Meta.Pat)}

### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage,​BuilderType extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType,​BuilderType>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`

### Field Summary

Fields
`private java.lang.Object` `catalog_`
`static int` `CATALOG_FIELD_NUMBER`
`static int` `CONNECTION_ID_FIELD_NUMBER`
`private java.lang.Object` `connectionId_`
`private static Requests.SchemasRequest` `DEFAULT_INSTANCE`
`private byte` `memoizedIsInitialized`
`private static com.google.protobuf.Parser<Requests.SchemasRequest>` `PARSER`
`static int` `SCHEMA_PATTERN_FIELD_NUMBER`
`private java.lang.Object` `schemaPattern_`
`private static long` `serialVersionUID`

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

### Constructor Summary

Constructors
`private` `SchemasRequest()`
`private` `SchemasRequest​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`private` `SchemasRequest​(com.google.protobuf.GeneratedMessageV3.Builder<?> builder)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals​(java.lang.Object obj)`
`java.lang.String` `getCatalog()` `string catalog = 1;`
`com.google.protobuf.ByteString` `getCatalogBytes()` `string catalog = 1;`
`java.lang.String` `getConnectionId()` `string connection_id = 3;`
`com.google.protobuf.ByteString` `getConnectionIdBytes()` `string connection_id = 3;`
`static Requests.SchemasRequest` `getDefaultInstance()`
`Requests.SchemasRequest` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Parser<Requests.SchemasRequest>` `getParserForType()`
`java.lang.String` `getSchemaPattern()` `string schema_pattern = 2;`
`com.google.protobuf.ByteString` `getSchemaPatternBytes()` `string schema_pattern = 2;`
`int` `getSerializedSize()`
`com.google.protobuf.UnknownFieldSet` `getUnknownFields()`
`int` `hashCode()`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`static Requests.SchemasRequest.Builder` `newBuilder()`
`static Requests.SchemasRequest.Builder` `newBuilder​(Requests.SchemasRequest prototype)`
`Requests.SchemasRequest.Builder` `newBuilderForType()`
`protected Requests.SchemasRequest.Builder` `newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`
`static Requests.SchemasRequest` `parseDelimitedFrom​(java.io.InputStream input)`
`static Requests.SchemasRequest` `parseDelimitedFrom​(java.io.InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Requests.SchemasRequest` `parseFrom​(byte[] data)`
`static Requests.SchemasRequest` `parseFrom​(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Requests.SchemasRequest` `parseFrom​(com.google.protobuf.ByteString data)`
`static Requests.SchemasRequest` `parseFrom​(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Requests.SchemasRequest` `parseFrom​(com.google.protobuf.CodedInputStream input)`
`static Requests.SchemasRequest` `parseFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Requests.SchemasRequest` `parseFrom​(java.io.InputStream input)`
`static Requests.SchemasRequest` `parseFrom​(java.io.InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Requests.SchemasRequest` `parseFrom​(java.nio.ByteBuffer data)`
`static Requests.SchemasRequest` `parseFrom​(java.nio.ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static com.google.protobuf.Parser<Requests.SchemasRequest>` `parser()`
`Requests.SchemasRequest.Builder` `toBuilder()`
`void` `writeTo​(com.google.protobuf.CodedOutputStream output)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, internalGetMapField, makeExtensionsImmutable, newBuilderForType, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

### Field Detail

#### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

#### CATALOG_FIELD_NUMBER

    public static final int CATALOG_FIELD_NUMBER

See Also:
  Constant Field Values

#### catalog_

    private volatile java.lang.Object catalog_

#### SCHEMA_PATTERN_FIELD_NUMBER

    public static final int SCHEMA_PATTERN_FIELD_NUMBER

See Also:
  Constant Field Values

#### schemaPattern_

    private volatile java.lang.Object schemaPattern_

#### CONNECTION_ID_FIELD_NUMBER

    public static final int CONNECTION_ID_FIELD_NUMBER

See Also:
  Constant Field Values

#### connectionId_

    private volatile java.lang.Object connectionId_

#### memoizedIsInitialized

    private byte memoizedIsInitialized

#### DEFAULT_INSTANCE

    private static final Requests.SchemasRequest DEFAULT_INSTANCE

#### PARSER

    private static final com.google.protobuf.Parser<Requests.SchemasRequest> PARSER

### Constructor Detail

#### SchemasRequest

    private SchemasRequest​(com.google.protobuf.GeneratedMessageV3.Builder<?> builder)

#### SchemasRequest

    private SchemasRequest()

#### SchemasRequest

    private SchemasRequest​(com.google.protobuf.CodedInputStream input,
                           com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                    throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### Method Detail

#### getUnknownFields

    public final com.google.protobuf.UnknownFieldSet getUnknownFields()

Specified by:
  `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getUnknownFields` in class `com.google.protobuf.GeneratedMessageV3`

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

#### getCatalog

    public java.lang.String getCatalog()

`string catalog = 1;`

Specified by:
  `getCatalog` in interface `Requests.SchemasRequestOrBuilder`

#### getCatalogBytes

    public com.google.protobuf.ByteString getCatalogBytes()

`string catalog = 1;`

Specified by:
  `getCatalogBytes` in interface `Requests.SchemasRequestOrBuilder`

#### getSchemaPattern

    public java.lang.String getSchemaPattern()

`string schema_pattern = 2;`

Specified by:
  `getSchemaPattern` in interface `Requests.SchemasRequestOrBuilder`

#### getSchemaPatternBytes

    public com.google.protobuf.ByteString getSchemaPatternBytes()

`string schema_pattern = 2;`

Specified by:
  `getSchemaPatternBytes` in interface `Requests.SchemasRequestOrBuilder`

#### getConnectionId

    public java.lang.String getConnectionId()

`string connection_id = 3;`

Specified by:
  `getConnectionId` in interface `Requests.SchemasRequestOrBuilder`

#### getConnectionIdBytes

    public com.google.protobuf.ByteString getConnectionIdBytes()

`string connection_id = 3;`

Specified by:
  `getConnectionIdBytes` in interface `Requests.SchemasRequestOrBuilder`

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

#### writeTo

    public void writeTo​(com.google.protobuf.CodedOutputStream output)
                 throws java.io.IOException

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `java.io.IOException`

#### getSerializedSize

    public int getSerializedSize()

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

#### equals

    public boolean equals​(java.lang.Object obj)

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

#### parseFrom

    public static Requests.SchemasRequest parseFrom​(java.nio.ByteBuffer data)
                                             throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static Requests.SchemasRequest parseFrom​(java.nio.ByteBuffer data,
                                                    com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                             throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static Requests.SchemasRequest parseFrom​(com.google.protobuf.ByteString data)
                                             throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static Requests.SchemasRequest parseFrom​(com.google.protobuf.ByteString data,
                                                    com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                             throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static Requests.SchemasRequest parseFrom​(byte[] data)
                                             throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static Requests.SchemasRequest parseFrom​(byte[] data,
                                                    com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                             throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static Requests.SchemasRequest parseFrom​(java.io.InputStream input)
                                             throws java.io.IOException

Throws:
  `java.io.IOException`

#### parseFrom

    public static Requests.SchemasRequest parseFrom​(java.io.InputStream input,
                                                    com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                             throws java.io.IOException

Throws:
  `java.io.IOException`

#### parseDelimitedFrom

    public static Requests.SchemasRequest parseDelimitedFrom​(java.io.InputStream input)
                                                      throws java.io.IOException

Throws:
  `java.io.IOException`

#### parseDelimitedFrom

    public static Requests.SchemasRequest parseDelimitedFrom​(java.io.InputStream input,
                                                             com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                      throws java.io.IOException

Throws:
  `java.io.IOException`

#### parseFrom

    public static Requests.SchemasRequest parseFrom​(com.google.protobuf.CodedInputStream input)
                                             throws java.io.IOException

Throws:
  `java.io.IOException`

#### parseFrom

    public static Requests.SchemasRequest parseFrom​(com.google.protobuf.CodedInputStream input,
                                                    com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                             throws java.io.IOException

Throws:
  `java.io.IOException`

#### newBuilderForType

    public Requests.SchemasRequest.Builder newBuilderForType()

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

#### newBuilder

    public static Requests.SchemasRequest.Builder newBuilder()

#### newBuilder

    public static Requests.SchemasRequest.Builder newBuilder​(Requests.SchemasRequest prototype)

#### toBuilder

    public Requests.SchemasRequest.Builder toBuilder()

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

#### newBuilderForType

    protected Requests.SchemasRequest.Builder newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstance

    public static Requests.SchemasRequest getDefaultInstance()

#### parser

    public static com.google.protobuf.Parser<Requests.SchemasRequest> parser()

#### getParserForType

    public com.google.protobuf.Parser<Requests.SchemasRequest> getParserForType()

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstanceForType

    public Requests.SchemasRequest getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`